# https://github.com/html5lib/html5lib-python/archive/1.0.1.tar.gz
%global module html5lib

Name:           python-%{module}
Version:        1.0.1
Release:        %mkrel 2
Summary:        A Python HTML parser/tokenizer based on the WHATWG HTML5 spec

License:        MIT
Group:          Development/Python
URL:            https://github.com/%{module}/%{module}-python
Source0:        %{module}-python-%{version}.tar.xz

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python-webencodings
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-webencodings
Requires:       python-six
Requires:       python-webencodings

%description
%{summary}.

%package -n     python3-%{module}
Summary:        %{summary}
Group:          Development/Python
Requires:       python3-six
Requires:       python3-webencodings

%description -n python3-%{module}
%{summary}.

%prep
%setup -qn %{module}-python-%{version}
cp -a . %{py3dir}

%build
pushd %{py3dir}
%py3_build
popd
%py2_build

%install
pushd %{py3dir}
%py3_install
%py_byte_compile %{__python3} %{python3_sitelib}
popd
%py2_install
%py_byte_compile %{__python2} %{python2_sitelib}

%files
%doc LICENSE README.rst
%{python2_sitelib}/*

%files -n python3-%{module}
%doc LICENSE README.rst
%{python3_sitelib}/*

%changelog
* Mon Aug 22 2022 tex - 1.0.1-2pclos2022
- rebuild against updates

* Sat Apr 14 2018 marcin82 <fixxer1982 at gmail.com> 1.0.1-1pclos2018
- initial build for PCLinuxOS
